# ApplicationFramework
TKPShape
PBRep

# PBRep_PointsOnSurface Class Reference

`#include <PBRep_PointsOnSurface.hxx>`

Inheritance diagram for PBRep_PointsOnSurface:

[legend]

## Public Member Functions

Standard_EXPORT Handle_PGeom_Surface | Surface () const
| PBRep_PointsOnSurface ()
| PBRep_PointsOnSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_PointsOnSurfacemySurface() const
void | _CSFDB_SetPBRep_PointsOnSurfacemySurface (const Handle(PGeom_Surface)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PBRep_PointsOnSurface (const Standard_Real P, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)

## Private Attributes

Handle_PGeom_Surface | mySurface

## Constructor & Destructor Documentation

PBRep_PointsOnSurface::PBRep_PointsOnSurface | ( |  | ) | `[inline]`

PBRep_PointsOnSurface::PBRep_PointsOnSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PBRep_PointsOnSurface::PBRep_PointsOnSurface | ( | const Standard_Real | P,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) | `[protected]`

## Member Function Documentation

void PBRep_PointsOnSurface::_CSFDB_SetPBRep_PointsOnSurfacemySurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PointsOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PointRepresentation. Reimplemented in PBRep_PointOnCurveOnSurface, and PBRep_PointOnSurface.

PBRep_PointsOnSurface::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

Standard_EXPORT Handle_PGeom_Surface PBRep_PointsOnSurface::Surface | ( |  | ) | const

## Field Documentation

Handle_PGeom_Surface PBRep_PointsOnSurface::mySurface `[private]`

The documentation for this class was generated from the following file:

- PBRep_PointsOnSurface.hxx